Ad Build

AI Tools

Overview

Davinci Commerce Programmable Personalization API supports dynamic ad creation. Our omni channel capability ensures ad formats across multiple channels are supported: Video, Rich Media, Native, Social, and Mobile.

Method Name

Method Type

List Creative Masters

GET

Upload Creative Masters

POST

Create Ad Container

POST

Delete Ad Container

DELETE

Update Ad Container

PUT

Create Ad

POST

Get Ad Preview Links

GET

List Ads

GET

Delete Ad

DELETE

Get Ad Details

GET

List Creative Masters

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

adIdx

integer

Mandatory

path

Index of the ad unit

Sample Request

GET https://dcs-apigateway.jivox.com/account/:accountId/ad/adIdx/adUnit

Sample Response

[ { "adUnitIdx": 0, "dimension": "string", "label": "string", "productAssetSourceId": 0, "creativeAssetSourceId": 0, "lastUpdatedAt": "string" } ]

Upload Creative Masters

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

adIdx

integer

Mandatory

path

Index of the ad unit

Sample Request

POST https://dcs-apigateway.jivox.com//account/:accountId/ad/adIdx/adUnit/create

Request Body

The Request passed should be:

  1. file (Multipart File)

  2. mapping (optional)

{ "productAssetSourceId":2038127, "creativeAssetSourceId": 2038185, "productColumnMappings":[ { "keyColumn":"lib__300x250_bg", "assetProperty":"lib__300x250_bg" }, { "keyColumn":"lib_button", "assetProperty":"lib_button" }, { "keyColumn":"lib_dl_1", "assetProperty":"lib_dl_1" }, { "keyColumn":"lib_dl_2_cloud", "assetProperty":"lib_dl_2_cloud" }, { "keyColumn":"lib_lp", "assetProperty":"lib_lp" }, { "keyColumn":"lib_pt", "assetProperty":"lib_pt" }, { "keyColumn":"lib_stamp", "assetProperty":"lib_stamp" } ], "creativeColumnMappings": [ { "keyColumn":"lib__300x250__1", "assetProperty":"lib__300x250__1" }, { "keyColumn":"lib__300x250__1.color", "assetProperty":"lib__300x250__1color" }, { "keyColumn":"lib__300x250__2", "assetProperty":"lib__300x250__2" }, { "keyColumn":"lib__300x250__2.color", "assetProperty":"lib__300x250__2color" }, { "keyColumn":"lib__300x250__3", "assetProperty":"lib__300x250__3" }, { "keyColumn":"lib__300x250__3.color", "assetProperty":"lib__300x250__3color" } ] }

Sample Response

{ "adIdx": 0, "adUnitIdx": 0, "label": "string", "baseAssetUrl": "string", "icon": "string", "s3folder": "string", "s3version": "string", "warnings": [ "string" ], "interactionIdentifier": "string", "interactionIdentifierFull": "string", "productAssetSourceId": 0, "creativeAssetSourceId": 0 }

Create Ad Container

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

adIdx

integer

Mandatory

path

Index of the ad unit

Sample Request

POST https://dcs-apigateway.jivox.com/account/:accountId/ad/adIdx/adUnit/create

Request Body

The Request passed should be:

  1. file (Multipart File)

  2. mapping (optional)

{ "productAssetSourceId":2038127, "creativeAssetSourceId": 2038185, "productColumnMappings":[ { "keyColumn":"lib__300x250_bg", "assetProperty":"lib__300x250_bg" }, { "keyColumn":"lib_button", "assetProperty":"lib_button" }, { "keyColumn":"lib_dl_1", "assetProperty":"lib_dl_1" }, { "keyColumn":"lib_dl_2_cloud", "assetProperty":"lib_dl_2_cloud" }, { "keyColumn":"lib_lp", "assetProperty":"lib_lp" }, { "keyColumn":"lib_pt", "assetProperty":"lib_pt" }, { "keyColumn":"lib_stamp", "assetProperty":"lib_stamp" } ], "creativeColumnMappings": [ { "keyColumn":"lib__300x250__1", "assetProperty":"lib__300x250__1" }, { "keyColumn":"lib__300x250__1.color", "assetProperty":"lib__300x250__1color" }, { "keyColumn":"lib__300x250__2", "assetProperty":"lib__300x250__2" }, { "keyColumn":"lib__300x250__2.color", "assetProperty":"lib__300x250__2color" }, { "keyColumn":"lib__300x250__3", "assetProperty":"lib__300x250__3" }, { "keyColumn":"lib__300x250__3.color", "assetProperty":"lib__300x250__3color" } ] }

Sample Response

{ "adIdx": 0, "adUnitIdx": 0, "label": "string", "baseAssetUrl": "string", "icon": "string", "s3folder": "string", "s3version": "string", "warnings": [ "string" ], "interactionIdentifier": "string", "interactionIdentifierFull": "string", "productAssetSourceId": 0, "creativeAssetSourceId": 0 }

Delete Ad Container

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

adIdx

integer

Mandatory

path

Ad index

adUnitIdx

integer

Mandatory

path

Ad unit index

Sample Request

DELETE https://dcs-apigateway.jivox.com//account/{accountId}/ad/{adIdx}/adUnit/{adUnitIdx}

Request Body

NA

Sample Response

Response Code: 204

Update Ad Container

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

adIdx

integer

Mandatory

path

Ad index

adUnitIdx

integer

Mandatory

path

Ad unit index

Sample Request

PUT https://dcs-apigateway.jivox.com//account/{accountId}/ad/{adIdx}/adUnit/update

Request Body

The Request passed should be:

  1. file (Multipart File - optional)

  2. mapping (optional)

{ "productAssetSourceId":2038127, "creativeAssetSourceId": 2038185, "productColumnMappings":[ { "keyColumn":"lib__300x250_bg", "assetProperty":"lib__300x250_bg" }, { "keyColumn":"lib_button", "assetProperty":"lib_button" }, { "keyColumn":"lib_dl_1", "assetProperty":"lib_dl_1" }, { "keyColumn":"lib_dl_2_cloud", "assetProperty":"lib_dl_2_cloud" }, { "keyColumn":"lib_lp", "assetProperty":"lib_lp" }, { "keyColumn":"lib_pt", "assetProperty":"lib_pt" }, { "keyColumn":"lib_stamp", "assetProperty":"lib_stamp" } ], "creativeColumnMappings": [ { "keyColumn":"lib__300x250__1", "assetProperty":"lib__300x250__1" }, { "keyColumn":"lib__300x250__1.color", "assetProperty":"lib__300x250__1color" }, { "keyColumn":"lib__300x250__2", "assetProperty":"lib__300x250__2" }, { "keyColumn":"lib__300x250__2.color", "assetProperty":"lib__300x250__2color" }, { "keyColumn":"lib__300x250__3", "assetProperty":"lib__300x250__3" }, { "keyColumn":"lib__300x250__3.color", "assetProperty":"lib__300x250__3color" } ] }

Sample Response

{ "adIdx": 0, "adUnitIdx": 0, "label": "string", "baseAssetUrl": "string", "icon": "string", "s3folder": "string", "s3version": "string", "warnings": [ "string" ], "interactionIdentifier": "string", "interactionIdentifierFull": "string", "productAssetSourceId": 0, "creativeAssetSourceId": 0 }

Refresh Feed-based Source

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

assetSourceId

string

Mandatory

path

ID of the asset source under a given user account on the platform.

Sample Request

POST https://jivox-apis.api.jivox.com/v2/accounts/:accountId>/asset-sources/feed/:assetSourceID/refresh

Request Body

{ "url": "", //String "urlType": "s3", // Enum: [ https, http, s3, ftp, sftp ] "urlConfig": { "accessKey": "xxxxxxx", "secretKey": "xxxxxx" }, "contentType": "csv", // Enum:[ xml, json, csv ] "characterEncoding": "UTF_8", // Enum:[ UTF_8, iso_8859_1, CP1252, utf_16le ] "firstRowIsHeader": true, // boolean "csvSeparator": "comma", //Enum: [comma, tab, pipe, auto] "assetKeyColumn": "sku", "assetVariantColumn": "sku", "assetGroupColumn": "sku", "reportingColumn": "sku", "rotationWeightColumn": "sku", "assetSourceName": "Prod_API_PUSH_FEED", "startTime": "10:21", // EDT time- Better to add next minute to process it atleast once immediately "endDate": "2026-04-31", // Must be of format yyyy-mm-dd "isScheduled": true, // Boolean "frequency": "DAILY", // String "customCode": "", // Shouldn't be empty in CDP true case "cdp": false // Boolean }

Sample Response

{ "id": "78675", "msg": "AssetSource updated successfully" }

Create Ad

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform

Sample Request

POST https://apis-gateway.dcs.jivox.com/account/:accountId/ads/create

Request Body

{ "title": "string" }

Sample Response

{ "adIdx": 0, "advertiserIdx": 0, "creationState": "string" }

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

adId

string

Mandatory

path

ID of the ad.

Sample Request

GET https://demo.stub.api.jivox.com/v2/accounts/1234/ads/10102/preview/?adUnitId=4556

Sample Response

{ "preview": "http://demo.stub.api.jivox.com/v2/accounts/1234/ads/10102/preview/creative-variant?adId=10102&bUnitId=4556&unitType=inbanner&assetOverrideParams=Y3JlYXRpdmVNYXN0ZXI9UG9sbGVu" }

List Ads

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

search

string

Optional

query

Search by any string

offset

integer

Optional

query

For Pagination

limit

integer

Optional

query

For Pagination

sortBy

ENUM

Optional

query

Sort by TITLE, CREATION_DATE, LAST_UPDATED_ AT

orderBy

ENUM

Optional

query

Order by ASC, DESC

Sample Request

GET https://apis-gateway.dcs.jivox.com/account/:accountId/ads

Sample Response

{ "results": [ { "adIdx": 61767, "advertiserIdx": 69103, "title": "AD1", "description": null, "metadataVersion": 4, "thumbnailURL": null, "adType": "none", "duration": 0, "aspectRatio": "4x3", "creationDate": "2024-04-04 09:30:11", "lastUpdatedAt": "2024-04-05 09:03:39", "versionId": 0, "adFormatType": 4, "adCompositorIdx": 0, "priVideoDynamic": 0, "hasDataServiceMapping": 1, "workflowId": 3, "campaigns": [ { "campaignIdx": 162560, "campaignType": "web", "campaignState": "Approved", "campaignName": "04Apr_SBT_DCS_Asset" } ], "adUnits": [ { "adUnitVersion": 0, "adUnitIdx": 2000, "adUnitType": "banner", "unitType": "inbanner", "creativeUnitType": 20, "dimension": "970x250", "hasLayout": 1, "hasVirtualAssets": 1, "lastUpdatedAt": "2024-04-05", "expansionUnitIdx": 0, "creativeWidgetType": "custom-html", "presetName": "IAB Medium Rectangle", "defaultAssetGroup": "970x2503" } ], "draftAd": { "creativeAdFormatType": null, "creativeAdType": null, "currenttime": null, "currentversion": null }, "isBatchTransformationOnGoing": false, "metadataEx": null, "adConvertedURL": null } ], "count": 10, "offSet": 1 }

Delete Ad

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

adIdx

integer

Mandatory

path

ID of the ad

Sample Request

DELETE https://apis-gateway.dcs.jivox.com/account/:accountId/ads/:adIdx

Sample Response

HTTP status code as 200 OK is returned with no response body.

Get Ad Details

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

Path

ID of the advertiser account created on the platform.

adId

string

Mandatory

Path

ID of the ad Sample Request.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/1234/ads/10102

Sample Response

{ "adType": "Video", "description": "Sample ad", "previous": 0, "draft": true, "adParams": "autoPlay=false&hoverToPlay=true", "adLayout": [ { "layoutDimension": "810x550", "adUnitId": "4556", "adUnitType": "inbanner" } ], "next": 0, "creationDate": "2002-05-01 14:41:36", "creativeMasters": [ { "name": "Pollen", "assets": [ { "childAssets": [ { "assetType": "Image", "assetId": "asset101.bg_trusted_care", "assetName": "bg_trusted_care", "default": "http://jivoxassets.s3.amazonaws.com/widgets/2017/8/a11z5987cace3adca/1/Kleenex_Flu_300x250/Kleenex_Flu_300x250.html", "dynamic": true }, . . . } ], "title": "Kleenex Demo", "adId": "10102", "dynamic": true }